server:
  http_listen_port: 9080

positions:
  filename: /tmp/positions.yaml

clients:
  - url: http://loki:3100/loki/api/v1/push

scrape_configs:
  - job_name: docker
    docker_sd_configs:
      - host: unix:///var/run/docker.sock
        refresh_interval: 5s
    relabel_configs:
      - source_labels: [__meta_docker_container_name]
        regex: /(.*)
        target_label: service_name
      - source_labels: [__meta_docker_container_label_com_docker_compose_service]
        target_label: compose_service

  - job_name: app_logs
    static_configs:
      - targets: [localhost]
        labels:
          job: app_logs
          __path__: /apm/logs/*.log
    pipeline_stages:
      - match:
          selector: '{job="app_logs"}'
          stages:
            - regex:
                expression: '.*(?P<filename>[^/]+)\.log'
            - labels:
                filename:
